Eclipse Platform Release 3.7

## org.eclipse.core.runtime
Class OperationCanceledException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.eclipse.core.runtime.OperationCanceledException

All Implemented Interfaces:
  Serializable

    public final class OperationCanceledException

extends RuntimeException

This exception is thrown to blow out of a long-running method when the user cancels it.

This class can be used without OSGi running.

This class is not intended to be subclassed by clients but may be instantiated.

See Also:
  Serialized Form

Constructor Summary
`OperationCanceledException()` Creates a new exception.
`OperationCanceledException(String message)` Creates a new exception with the given message.

Method Summary

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### OperationCanceledException

    public OperationCanceledException()

  Creates a new exception.

### OperationCanceledException

    public OperationCanceledException(String message)

  Creates a new exception with the given message.

  Parameters:
    `message` - the message for the exception

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.